﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace childacess
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataSet ds = new DataSet();
            DataTable fpParent = new DataTable();
            DataTable fpChild1 = new DataTable();
            fpParent = ds.Tables.Add("SAMPLE");
            fpParent.Columns.AddRange(new DataColumn[] { new DataColumn("Column1", Type.GetType("System.String")), new DataColumn("Column2", Type.GetType("System.Int32")) });
            fpParent.Rows.Add(new object[] { "Parent1", 0 });
            fpParent.Rows.Add(new object[] { "Parent2", 1 });



            fpChild1 = ds.Tables.Add("Child1");
            fpChild1.Columns.AddRange(new DataColumn[] { new DataColumn("Column1", Type.GetType("System.String")), new DataColumn("Column2", Type.GetType("System.Int32")) });
            fpChild1.Rows.Add(new object[] { "Child1-1", 0 });
            fpChild1.Rows.Add(new object[] { "Child1-2", 0 });
            fpChild1.Rows.Add(new object[] { "Child1-3", 0 });
            fpChild1.Rows.Add(new object[] { "Child2-1", 1 });
            fpChild1.Rows.Add(new object[] { "Child2-2", 1 });
            fpChild1.Rows.Add(new object[] { "Child2-3", 1 });



            ds.Relations.Add("Relation1", fpParent.Columns["Column2"], fpChild1.Columns["Column2"]);
            fpSpread1.Sheets[0].DataSource = ds.Tables["SAMPLE"];
            fpSpread1.CellClick += new FarPoint.Win.Spread.CellClickEventHandler(fpSpread1_CellClick);
            
        }

        void fpSpread1_CellClick(object sender, FarPoint.Win.Spread.CellClickEventArgs e)
        {
            if (!e.RowHeader)
            {
                FarPoint.Win.Spread.SpreadView v = e.View;
                listBox1.Items.Add("Value at cell clicked: "+ v.Sheets[v.ActiveSheetIndex].Cells[e.Row, e.Column].Value);
            }
           
        }
    }
}
